File re-enable-support-for-libmpd.patch of Package xmobar

Index: xmobar-0.47.1/xmobar.cabal
===================================================================
--- xmobar-0.47.1.orig/xmobar.cabal	2023-11-10 12:47:24.247419835 +0000
+++ xmobar-0.47.1/xmobar.cabal	2023-11-10 12:48:17.660159745 +0000
@@ -255,7 +255,7 @@ library
                       cereal >= 0.5.8.1
        cpp-options: -DUSE_NL80211
 
-    if flag(with_mpd) || (flag(all_extensions) && impl(ghc < 9.4))
+    if flag(with_mpd) || flag(all_extensions)
        build-depends: libmpd >= 0.9.2.0
        other-modules: Xmobar.Plugins.Monitors.MPD
        cpp-options: -DLIBMPD
openSUSE Build Service is sponsored by